现在的位置: 首页Java技术 > 正文
SQL Server JDBC驱动中sqljdbc.jar和sqljdbc4.jar区别
关键词:JDBC Java ┊ 来源: 原创收藏

为了支持向后兼容以及估计的升级方案,JDBC Driver 2.0 在每个安装包中都包括 2 个 JAR 类库:sqljdbc.jar 和 sqljdbc4.jar。本文将介绍SQL Server JDBC驱动中sqljdbc和sqljdbc4的区别。

    sqljdbc.jar 类库帮助对JDBC 3.0 的支持。

    sqljdbc.jar 类库要求应用 5.0 版的 Java 运行时环境 (JRE)。连接到数据库时,在 JRE 6.0 上应用 sqljdbc.jar 会引发异常。

    留意: SQL Server JDBC Driver 2.0 不支持 JRE 1.4。应用 SQL Server JDBC Driver 2.0 时必需将 JRE 1.4 升级至 JRE 5.0 或更高版本。在某些情况下,您估计需求重新编译实际运用程序,由于它估计与 JDK 5.0 或更高版本不兼容。有关详细消息,请参阅 Sun Microsystems 互联网上的文档。

    sqljdbc4.jar 类库帮助对 JDBC 4.0 的支持。它不仅包括 sqljdbc.jar 的所有功能,还包括新增的 JDBC 4.0 窍门。

    sqljdbc4.jar 类库要求应用 6.0 或更高版本的 Java 运行时环境 (JRE)。在 JRE 1.4 或 5.0 上应用 sqljdbc4.jar 会引发异常。
    留意: 假如实际运用程序必需在 JRE 6.0 上运行,即使该实际运用程序不应用 JDBC 4.0 功能,也应应用 sqljdbc4.jar。

    请留意,尽管驱动程序旨在与所有主要的 Sun 等效 Java 虚拟机一起打工并由这一些虚拟机支持,但却是在 Sun JRE 5.0 或更高版本上停止测试的。

    SQL Server JDBC Driver 专为应用 SQL Server 二零零五 引入的功能而设计,但它也没成绩向后兼容 SQL Server 2000(包括 64 位版本)。

    很重要提示: Microsoft SQL Server JDBC Driver 2.0 没成绩连接到 SQL Server 二零零八,但不完全支持 SQL Server 二零零八 中新引入的数据类别或更多相关功能。

本文由 jack 发布于 2877天 8小时 8分钟前,目前已有 8054 人浏览
欢迎大家转载分享,请注明来源及链接;商业媒体转载请获得授权,谢谢合作!
 

添加评论